commit:     ebc876a3e3e7dae2b97c87f0a730eb6888eddee9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 11 18:29:25 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 11 18:29:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebc876a3

dev-python/seaborn: Fix tests with numpy-2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/seaborn/seaborn-0.13.2.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/dev-python/seaborn/seaborn-0.13.2.ebuild 
b/dev-python/seaborn/seaborn-0.13.2.ebuild
index b7d3e8825fc5..d873ae99d638 100644
--- a/dev-python/seaborn/seaborn-0.13.2.ebuild
+++ b/dev-python/seaborn/seaborn-0.13.2.ebuild
@@ -30,6 +30,13 @@ RDEPEND="
 EPYTEST_XDIST=1
 distutils_enable_tests pytest
 
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # https://github.com/mwaskom/seaborn/pull/3685
+       sed -i -e '/VisibleDeprecationWarning/d' tests/test_distributions.py || 
die
+}
+
 src_test() {
        cat > matplotlibrc <<- EOF || die
                backend : Agg

Reply via email to